Subject: [p2p-sip] P2P Universe

From: kns10 at cs.columbia.edu (Kundan Singh)
Date: Fri, 13 Jan 2006 23:04:03 -0500

I too agree.

Security is one of the main problem for any DHT-based P2P network.
Although, parts of the problem are solvable. For example, using RSA keys
and certificates one can verify that one is talking to the right person
possibly in a private conversation. The hard part is to guarantee that
the peers are co-operative and route your calls instead of silently
discarding some call requests. This is especially true when the
implementation is based on open protocols unlike the unmodifiable Skype
implementation.

PP wrote:
> Quoted: "But first, let us build the underlying infrastructure that supports this.  Let's stop pussyfooting around."
> 
> I agree with Michael on putting "underlying infrastructure" on the first place, before P2P and SIP, in my opinion. This is why I've been curious and worry why nobody here so far would like to address the "security" layer of the underlying infrastructure, which seems to be the most bottom layer of the foundation above transport layers. 
> 
> Sorry, I must mention Skype again, but Skype did spend lots of (smart) efforts on its security mechansim, though it is based on grandpa's RSA-1536/2048 public-key cryptograph that consumes much network bandwidth on key exchanging and negotiation among nodes, and not a little cpu time on private-key related operations especially on the signup servers which are responsible for signing node certificates. 
> 
> Without STRONG and EFFICIENT security, even 100% of SIP-related RFCs and aboundance of features are placed upon the infrastructure, the network will be severely criticized and challenged, won't it?
> 
> peter